al_get_path_filename(3)

NAME

al_get_path_filename - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    const char *al_get_path_filename(const ALLEGRO_PATH *path)

DESCRIPTION

Return the filename part of the path, or the empty string if there is none.

The returned pointer is valid only until the filename part of the path is modified in any way, or until the path is destroyed.

SEE ALSO

al_get_path_basename(3), al_get_path_extension(3), al_get_path_component(3)